Type to search.

Build request to migrate deployment to a different template

Base URL
https://api.elastic-cloud.com/api/v1
No auth

Returns a deployment update request that would migrate this deployment to a different template.

Path parameters

deployment_id string required

Identifier for the Deployment

Query parameters

template_id string required

The ID of the deployment template to migrate to

skip_instance_metrics_check boolean · default: false

If true, will skip the instance metrics check for memory and disk usage calculations

Responses

The request was valid and the deployment can be migrated to the template with the provided ID.

application/json
name string

A new name for the deployment, otherwise stays the same.

prune_orphans boolean required

Whether or not to prune orphan resources that are no longer mentioned in this request. Note that resourcesare tracked by ref_id, and if a resource's ref_id is changed, any previous running resources created with that previousref_id are considered to be orphaned as well.

alias string

A user-defined alias to use in place of Cluster IDs for user-friendly URLs